This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 952197 (CVE-2013-3301)

Summary: CVE-2013-3301 Kernel: tracing: NULL pointer dereference
Product: [Other] Security Response Reporter: Prasad J Pandit <prasad>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: agordeev, anton, bhu, davej, dhoward, esammons, fhrbata, gansalmon, iboverma, itamar, jforbes, jkacur, jonathan, jwboyer, kernel-maint, kernel-mgr, lgoncalv, lwang, madhu.chinakonda, mcressma, plougher, rt-maint, rvrbovsk, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20130411,reported=20130415,source=git,cvss2=4.4/AV:L/AC:M/Au:S/C:N/I:N/A:C,rhel-5/kernel=notaffected,rhel-6/kernel=affected,mrg-2/realtime-kernel=affected,fedora-all/kernel=affected,cwe=CWE-476[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-10 00:59:16 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 952212, 952213, 952214, 952215, 952217    
Bug Blocks: 952150    

Description Prasad J Pandit 2013-04-15 07:21:56 EDT
Linux kernel built with Function Tracers(CONFIG_FUNCTION_TRACER) &
Stack Tracers(CONFIG_STACK_TRACER) support is vulnerable to a NULL pointer
deference flaw. It occurs while writing to `set_ftrace_pid' or
`set_graph_function' files used by kernel tracers.

A privileged(CAP_SYS_ADMIN) user could use this flaw to crash the system
resulting in DoS.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/6a76f8c0ab19f215af2a3442870eeb5f0e81998d
Comment 1 Prasad J Pandit 2013-04-15 07:26:03 EDT
Statement:

This issue does not affect the version of the kernel package as shipped with
Red Hat Enterprise Linux 5.

This issue affects the versions of Linux kernel as shipped with
Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2. Future kernel updates
for Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2 may address this
issue.
Comment 4 Prasad J Pandit 2013-04-15 07:40:17 EDT
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 952217]
Comment 5 Fedora Update System 2013-04-19 00:59:04 EDT
kernel-3.8.8-202.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 errata-xmlrpc 2013-07-16 13:29:19 EDT
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2013:1080 https://rhn.redhat.com/errata/RHSA-2013-1080.html
Comment 7 errata-xmlrpc 2013-07-16 14:29:07 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1051 https://rhn.redhat.com/errata/RHSA-2013-1051.html
Comment 8 errata-xmlrpc 2013-09-16 13:03:33 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:1264 https://rhn.redhat.com/errata/RHSA-2013-1264.html